Bug 817498 - Please update to 2.5.x on F17
Please update to 2.5.x on F17
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jgoodies-looks (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 05:34 EDT by Mary Ellen Foster
Modified: 2012-06-01 13:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-01 13:06:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Necessary spec file change to include icons (535 bytes, patch)
2012-05-18 05:55 EDT, Mary Ellen Foster
no flags Details | Diff
Updated diff (695 bytes, patch)
2012-05-18 06:46 EDT, Mary Ellen Foster
no flags Details | Diff

  None (edit)
Description Mary Ellen Foster 2012-04-30 05:34:26 EDT
Description of problem:
jgoodies-common on F17 is version 1.3.0. Among the changes in this version are:
- Removed *SystemUtils#IS_JAVA_5
- Removed SystemUtils#IS_JAVA_6_OR_LATER

However, jgoodies-looks on F17 is still 2.4.2 and appears to rely on IS_JAVA_5.

The newest Rawhide version seems to be 2.5.0 -- 2.5.1 was actually released earlier in April, so that would be even better, but F17 definitely needs at least 2.5.0.

Version-Release number of selected component (if applicable):
jgoodies-looks-2.4.2-3.fc17.noarch

How reproducible:
Every time

Steps to Reproduce:
1. yum install icegrid-gui
2. icegridgui
  
Actual results:
Exception in thread "AWT-EventQueue-0" java.lang.NoSuchFieldError: IS_JAVA_5
        at com.jgoodies.looks.plastic.PlasticPasswordFieldUI.create(PlasticPasswordFieldUI.java:75)
        at javax.swing.plaf.basic.BasicTextUI.modelChanged(BasicTextUI.java:684)
        at javax.swing.plaf.basic.BasicTextUI$UpdateHandler.propertyChange(BasicTextUI.java:1788)
[...]

Expected results:
IceGrid GUI comes up
Comment 1 Mohamed El Morabity 2012-05-03 08:31:00 EDT
Thanks for your bug report, I'm currently fixing it.
Comment 2 Fedora Update System 2012-05-10 18:55:28 EDT
jgoodies-forms-1.5.1-1.fc17,jgoodies-looks-2.5.1-1.fc17,jgoodies-common-1.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jgoodies-forms-1.5.1-1.fc17,jgoodies-looks-2.5.1-1.fc17,jgoodies-common-1.3.1-1.fc17
Comment 3 Fedora Update System 2012-05-11 17:51:19 EDT
Package jgoodies-forms-1.5.1-1.fc17, jgoodies-looks-2.5.1-1.fc17, jgoodies-common-1.3.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jgoodies-forms-1.5.1-1.fc17 jgoodies-looks-2.5.1-1.fc17 jgoodies-common-1.3.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7707/jgoodies-forms-1.5.1-1.fc17,jgoodies-looks-2.5.1-1.fc17,jgoodies-common-1.3.1-1.fc17
then log in and leave karma (feedback).
Comment 4 Mary Ellen Foster 2012-05-18 05:55:17 EDT
Created attachment 585376 [details]
Necessary spec file change to include icons

This new package doesn't include the icons in the jar file any more, which breaks (for example) JFileChoosers.

The attached patch to the spec file (moving the icons into a "resources" directory before building) fixes the problem.
Comment 5 Mohamed El Morabity 2012-05-18 06:08:07 EDT
Many thanks for the patch! After some debug sessions on icegridgui, I realized too that the missing resources explain its crash with jgoodies-looks-2.5.1-1.fc17.
I will merge your fix and build a new version of jgoodies-looks tonight.
Comment 6 Mary Ellen Foster 2012-05-18 06:46:53 EDT
Created attachment 585389 [details]
Updated diff

Here's an updated diff -- it would appear that there's also a necessary resource in the "common" directory
Comment 7 Fedora Update System 2012-05-19 14:34:15 EDT
Package jgoodies-forms-1.5.1-1.fc17, jgoodies-common-1.3.1-1.fc17, jgoodies-looks-2.5.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jgoodies-forms-1.5.1-1.fc17 jgoodies-common-1.3.1-1.fc17 jgoodies-looks-2.5.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7707/jgoodies-forms-1.5.1-1.fc17,jgoodies-looks-2.5.1-2.fc17,jgoodies-common-1.3.1-1.fc17
then log in and leave karma (feedback).
Comment 8 Mary Ellen Foster 2012-05-25 07:17:18 EDT
Thanks for that!

It seems that the packaging on Rawhide is now different from on F17, in two ways:
- It includes 2.5.0 instead of 2.5.1
- It has a jgoodies-looks directory containing several jars instead of a single jgoodies-looks jar

Is it possible to unify the two packages somehow? Is the rawhide package structure the way of the future?
Comment 9 Fedora Update System 2012-06-01 13:06:09 EDT
jgoodies-forms-1.5.1-1.fc17, jgoodies-common-1.3.1-1.fc17, jgoodies-looks-2.5.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.